package com.pcloud.book.timecontrol.mapper;


import com.pcloud.book.timecontrol.entity.TimeControlTaskItem;
import com.pcloud.book.timecontrol.dto.ReplyMessageBaseDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("taskItemMapper")
public interface TimeControlTaskItemMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(TimeControlTaskItem record);

    TimeControlTaskItem selectByPrimaryKey(Integer id);

    TimeControlTaskItem getByTaskIdAndDay(@Param("taskId") Integer taskId, @Param("startDay") Integer startDay);

    void updateTtaskItem(TimeControlTaskItem timeControlTaskItem);

    List<ReplyMessageBaseDto> listTaskItemDay(Integer taskId);
}